Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Server Class Reference

(Q3Dns::Server)

The Q3Dns::Server class is described in Q3Dns::servers(). More...

     #include <Q3Dns>

- List of all members, including inherited members

## Public Functions

| Server ( const QString & n = QString(), Q_UINT16 p = 0, Q_UINT16 w = 0, Q_UINT16 po = 0 )

## Detailed Description

The Q3Dns::Server class is described in Q3Dns::servers().

## Member Function Documentation

### Server::Server ( const QString & n = QString(), Q_UINT16 p = 0, Q_UINT16 w = 0, Q_UINT16 po = 0 )

The constructor sets the public data members name, priority, weight, and port. n is the name, p is the priority, w is the weight, and po is the port.